## com.puppycrawl.tools.checkstyle.checks.indentation
Class LineSet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.LineSet

    public class LineSet

extends Object

Represents a set of lines.

Author:
  jrichard

Constructor Summary
`LineSet()`

Method Summary
`void` `addLineAndCol(int aLineNum, int aCol)` Add a line to this set of lines.
`int` `firstLine()` Get the line number of the first line.
`int` `firstLineCol()` Get the starting column for the first line.
`Integer` `getStartColumn(Integer aLineNum)` Get the starting column for a given line number.
`boolean` `isEmpty()` Determines if this set of lines is empty.
`int` `lastLine()` Get the line number of the last line.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineSet

    public LineSet()

Method Detail

### getStartColumn

    public Integer getStartColumn(Integer aLineNum)

  Get the starting column for a given line number.

  Parameters:
    `aLineNum` - the specified line number
  Returns:
    the starting column for the given line number

### firstLineCol

    public int firstLineCol()

  Get the starting column for the first line.

  Returns:
    the starting column for the first line.

### firstLine

    public int firstLine()

  Get the line number of the first line.

  Returns:
    the line number of the first line

### lastLine

    public int lastLine()

  Get the line number of the last line.

  Returns:
    the line number of the last line

### addLineAndCol

    public void addLineAndCol(int aLineNum,
                              int aCol)

  Add a line to this set of lines.

  Parameters:
    `aLineNum` - the line to add
    `aCol` - the starting column of the new line

### isEmpty

    public boolean isEmpty()

  Determines if this set of lines is empty.

  Returns:
    true if it is empty, false otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2011. All Rights Reserved.